package com.zcxk.rmcp.web.util;

import java.lang.reflect.Field;

/**
 * @author linqingwei
 * @date 2021-08-25 20:01
 */
public class Utils {
    public static boolean checkObjFieldIsNull(Object obj) throws IllegalAccessException {

        boolean flag = true;
        for(Field f : obj.getClass().getDeclaredFields()){
            f.setAccessible(true);
            if(f.get(obj) != null){
                flag = false;
                return flag;
            }
        }
        return flag;
    }
}
